import java.awt.Frame;
import java.awt.TextField;
import java.awt.TextArea;
import java.awt.event.TextEvent;
import java.awt.event.TextListener;

public class TextCheckFrame extends Frame
{
    private TextField myTextField;
    private TextArea  myTextArea;

    public TextCheckFrame()
    {
        super();

        setTitle( "Text Component Examples" );
        setSize ( 300, 250 );

        myTextField = new TextField();
        myTextArea  = new TextArea ();

        myTextField.addTextListener( new TextFieldListener() );

        add( "North", myTextField );
        add( "South", myTextArea  );
    }

    private class TextFieldListener implements TextListener
    {
        public void textValueChanged( TextEvent e )
        {
            myTextArea.setText( myTextField.getText() );
        }
    }
}
